<?php
class friendship_typeModel extends Model {
      //自动验证函数 
	 function judge($value)
	 {
	    if(isset($value) && $value == "on")
		{
		    return "1";
		}else
		{
		   return "0";
		}
	 }
    // 自动验证设置
    protected $_validate = array(
        array('name', 'require', '类型名称必须！', 1),//1为必须验证
        array('name', '', '类型名称已经存在', 0, 'unique', self::MODEL_INSERT),
        array('sort', 'require', '排序内容必须',1),
    );
		//自动完成
	protected $_auto = array(
	  array('times','time',1,'function'),
	  array('show','judge',1,'callback'),
	);
}